import request from '@/utils/request'

// 查询会计期间列表
export function listLog(query) {
  return request({
    url: '/yfc-admin/medical/log/list',
    method: 'get',
    params: query
  })
}

// 查询会计期间详细
export function getLog(id) {
  return request({
    url: '/yfc-admin/medical/log/' + id,
    method: 'get'
  })
}

// 新增会计期间
export function addLog(data) {
  return request({
    url: '/yfc-admin/medical/log',
    method: 'post',
    data: data
  })
}

// 修改会计期间
export function updateLog(data) {
  return request({
    url: '/yfc-admin/medical/log',
    method: 'put',
    data: data
  })
}

// 删除会计期间
export function delLog(id) {
  return request({
    url: '/yfc-admin/medical/log/' + id,
    method: 'delete'
  })
}

// 导出会计期间
export function exportLog(query) {
  return request({
    url: '/yfc-admin/medical/log/export',
    method: 'get',
    params: query
  })
}
